{
  testers,
  lib,
  ...
}:
let
  inherit (lib)
    mkDefault
    readFile
    attrNames
    concatStringsSep
    ;
  name = "static-page";
in
testers.runNixOSTest {
  inherit name;
  imports = [
    (import ./test.nix {
      inherit name;
      inherit lib;
    })
  ];
  defaults.imports = [ ../../../nixos-modules/${name} ];

  # Calls a test function with the list of nodes and helper functions.
  # Helper symbols may be added as function args needed and can be found in:
  #   https://github.com/NixOS/nixpkgs/blob/master/nixos/lib/test-driver/src/test_driver/driver.py#L121
  testScript = mkDefault (
    { nodes, ... }:
    let
      script = readFile ./test.py;
      nodeArgs = concatStringsSep ", " (map (val: "${val}=${val}") (attrNames nodes));
    in
    ''
      ${script}
      test(${nodeArgs}, subtest=subtest)
    ''
  );
}
